> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Organization Document

> Registers an uploaded file key as an org-level document with category and visibility flags.

Not available to API keys yet. It will need `documents:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/create-organization-document
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/create-organization-document:
    post:
      operationId: createOrganizationDocument
      summary: Create Organization Document
      description: >-
        Registers an uploaded file key as an org-level document with category
        and visibility flags.


        Not available to API keys yet. It will need `documents:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateOrganizationDocumentRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateOrganizationDocumentResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    CreateOrganizationDocumentRequest:
      type: object
      properties:
        fileKey:
          type: string
          minLength: 1
        documentName:
          type: string
          minLength: 1
          maxLength: 255
        category:
          type: string
          enum:
            - PROFESSIONAL_SERVICES_AGREEMENT
            - INITIAL_ORDER_FORM
            - BENEFITS_ENROLLMENT_FORM
            - COMPANY_DOCUMENTATION
            - OTHER
        visibleToClientAdmins:
          type: boolean
          default: true
        visibleToEmployees:
          type: boolean
          default: false
        notifyClientAdmins:
          type: boolean
          default: false
      required:
        - fileKey
        - documentName
        - category
        - visibleToClientAdmins
        - visibleToEmployees
        - notifyClientAdmins
    CreateOrganizationDocumentResponse:
      type: object
      properties:
        organizationDocumentID:
          type: string
          format: uuid
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
